libstdc++: __gnu_parallel::_DRSSorterPU< _RAIter, _RandomNumberGenerator > Struct Template Reference

libstdc++

__gnu_parallel::_DRSSorterPU< _RAIter, _RandomNumberGenerator > Struct Template Reference

`#include <random_shuffle.h>`

## Public Attributes
_BinIndex | __bins_end
_BinIndex | _M_bins_begin
int | _M_num_threads
_DRandomShufflingGlobalData< _RAIter > * | _M_sd
uint32_t | _M_seed

## Detailed Description

template<typename _RAIter, typename _RandomNumberGenerator>
struct __gnu_parallel::_DRSSorterPU< _RAIter, _RandomNumberGenerator >

Local data for a thread participating in __gnu_parallel::__parallel_random_shuffle().

Definition at line 91 of file random_shuffle.h.

## Member Data Documentation

## ◆ __bins_end

template<typename _RAIter, typename _RandomNumberGenerator>

_BinIndex __gnu_parallel::_DRSSorterPU< _RAIter, _RandomNumberGenerator >::__bins_end

End index for bins taken care of by this thread.

Definition at line 100 of file random_shuffle.h.

Referenced by __gnu_parallel::__parallel_random_shuffle_drs().

## ◆ _M_bins_begin

template<typename _RAIter, typename _RandomNumberGenerator>

_BinIndex __gnu_parallel::_DRSSorterPU< _RAIter, _RandomNumberGenerator >::_M_bins_begin

Begin index for bins taken care of by this thread.

Definition at line 97 of file random_shuffle.h.

Referenced by __gnu_parallel::__parallel_random_shuffle_drs(), and __gnu_parallel::__parallel_random_shuffle_drs_pu().

## ◆ _M_num_threads

template<typename _RAIter, typename _RandomNumberGenerator>

int __gnu_parallel::_DRSSorterPU< _RAIter, _RandomNumberGenerator >::_M_num_threads

Number of threads participating in total.

Definition at line 94 of file random_shuffle.h.

Referenced by __gnu_parallel::__parallel_random_shuffle_drs(), and __gnu_parallel::__parallel_random_shuffle_drs_pu().

## ◆ _M_sd

template<typename _RAIter, typename _RandomNumberGenerator>

_DRandomShufflingGlobalData<_RAIter>* __gnu_parallel::_DRSSorterPU< _RAIter, _RandomNumberGenerator >::_M_sd

Pointer to global data.

Definition at line 106 of file random_shuffle.h.

Referenced by __gnu_parallel::__parallel_random_shuffle_drs(), and __gnu_parallel::__parallel_random_shuffle_drs_pu().

## ◆ _M_seed

template<typename _RAIter, typename _RandomNumberGenerator>

uint32_t __gnu_parallel::_DRSSorterPU< _RAIter, _RandomNumberGenerator >::_M_seed

Random _M_seed for this thread.

Definition at line 103 of file random_shuffle.h.

Referenced by __gnu_parallel::__parallel_random_shuffle_drs(), and __gnu_parallel::__parallel_random_shuffle_drs_pu().

The documentation for this struct was generated from the following file:

- random_shuffle.h